HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetSkusId

Contains the different functions to run the operation getSkusId

  • 7 types
  • 4 values
valuegetSkusId
  1. :: MonadHTTP m
  2. => GetSkusIdParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetSkusIdResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/skus/{id}

<p>Retrieves the details of an existing SKU. Supply the unique SKU identifier from either a SKU creation request or from the product, and Stripe will return the corresponding SKU information.</p>

datadata GetSkusIdParameters
#

Defines the object schema located at paths./v1/skus/{id}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON
datadata GetSkusIdResponse
#

Represents a response of the operation getSkusId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetSkusIdResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/skus/{id}.GET.responses.200.content.application/json.schema.anyOf in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/skus/{id}.GET.responses.200.content.application/json.schema.anyOf.properties.deleted in the specification.

Always true for a deleted object

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/skus/{id}.GET.responses.200.content.application/json.schema.anyOf.properties.object in the specification.

String representing the object's type. Objects of the same type share the same value.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/skus/{id}.GET.responses.200.content.application/json.schema.anyOf.properties.package_dimensions.anyOf in the specification.

The dimensions of this SKU for shipping purposes.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/skus/{id}.GET.responses.200.content.application/json.schema.anyOf.properties.product.anyOf in the specification.

The ID of the product this SKU is associated with. The product must be currently active.

Instances4Eq, Show, FromJSON, ToJSON